
GammaLib - Action #570

Feature # 912 (Rejected): Implement an ON-OFF fitter class

Test case script

10/15/2012 04:15 PM - Knödlseder Jürgen

Status: Closed Start date: 10/10/2012

Priority: Normal Due date:  

Assigned To: Martin Pierrick % Done: 0%

Category:  Estimated time: 8.00 hours

Target version: HESS sprint #1   

Description

As part of the project to extend the gammalib to allow the analysis of data from Cherenkov telescopes with the classical ON and OFF

technique, a virtual python script for an ON-OFF analysis was written to illustrate how we would like the objects to be organized and

thus help structuring the code.

History

#1 - 10/15/2012 04:16 PM - Knödlseder Jürgen

- Description updated

#2 - 04/29/2013 06:01 PM - Knödlseder Jürgen

- File cta_classic.py added

Attached a test case for using the on-off fitter.

#3 - 05/02/2013 01:57 PM - Martin Pierrick

- File CTAClassicalAnalysis.py added

Here is an extended version of the draft script posted by Jürgen, with more steps and a a lot of remarks/questions as comments to the code. Still a

draft, just to help clarify our thoughts. Will be refined once the structure of the GOnOffFitter class is established.

#4 - 05/02/2013 04:43 PM - Deil Christoph

I think (at least in the background) there should be more classes to make it more flexible.

In HD / HAP we have a Spectrum and Maps (called BgMaps) container classes that are filled by the SpectrumMaker and various BgMakers.

The modelling / fitting (using On-off likelihood or Fermi-style likelihood or even Chi^2) then happens as the last step of the analysis with Spectrum or

Maps as input.

Probably for this API discussion one really needs to look at other use cases as well, e.g. a ring-background or on-off background map-based analysis

as described in the Berge paper: http://adsabs.harvard.edu/abs/2007A%26A...466.1219B

#5 - 06/23/2013 04:11 PM - Martin Pierrick

- File CTAClassicalAnalysis.py added

- Subject changed from Design on-off maximum likelihood fitter. to Test case script

- Description updated

- Status changed from New to In Progress
- Assigned To changed from Knödlseder Jürgen to Martin Pierrick

- Parent task changed from #540 to #912

#6 - 06/30/2013 03:35 PM - Martin Pierrick

- File Script-Deil.py added

- File Script-Wiki.py added

New versions of the analysis scripts written during the coding sprint in Toulouse, with the list and typical layout of the objects needed. The first version

was written by Christoph and then modified/improved by someone else before posting on the wiki. I have moved/copied both to their proper place

here.

#7 - 11/03/2013 02:12 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- Remaining (hours) changed from 8.0 to 0.0

Files

cta_classic.py 1.66 KB 04/29/2013 Knödlseder Jürgen

CTAClassicalAnalysis.py 3 KB 05/02/2013 Martin Pierrick

CTAClassicalAnalysis.py 3.53 KB 06/23/2013 Martin Pierrick

Script-Deil.py 2.55 KB 06/30/2013 Martin Pierrick

Script-Wiki.py 2.49 KB 06/30/2013 Martin Pierrick
